Skip to main content
POST
/
api
/
model-endpoints
Create serving endpoint
curl --request POST \
  --url https://console.neuronsearchlab.com/api/model-endpoints \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model_type": "embedder",
  "endpoint_name": "<string>",
  "is_default": true
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.neuronsearchlab.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Platform API key issued from Console > Platform API Keys. Format: nsl__.

Body

application/json
model_type
enum<string>
Available options:
embedder,
ranker
endpoint_name
string
is_default
boolean

Response

Created

The response is of type object.